Skip to Content
API Reference

API Reference

The Sendd Market API is organized around REST. It accepts JSON-encoded request bodies, returns JSON responses, and uses standard HTTP response codes.

Base URL

https://api.senddmarket.com/v1

Authentication

Authenticate requests by including your API key in the Authorization header:

curl https://api.senddmarket.com/v1/listings \ -H "Authorization: Bearer sk_live_your_api_key"

Endpoints

Listings

MethodEndpointDescription
GET/listingsList all listings
POST/listingsCreate a listing
GET/listings/:idRetrieve a listing
PATCH/listings/:idUpdate a listing
DELETE/listings/:idDelete a listing

Orders

MethodEndpointDescription
GET/ordersList all orders
POST/ordersCreate an order
GET/orders/:idRetrieve an order
PATCH/orders/:idUpdate order status

Customers

MethodEndpointDescription
GET/customersList all customers
GET/customers/:idRetrieve a customer

Error Handling

The API uses standard HTTP status codes:

{ "error": { "code": "invalid_request", "message": "The 'price' field must be a positive integer.", "status": 400 } }
StatusMeaning
200Success
400Bad request — check your parameters
401Unauthorized — invalid API key
404Not found
429Rate limited — slow down
500Server error — try again later

Rate Limits

  • Standard plan: 100 requests/minute
  • Pro plan: 1,000 requests/minute
  • Enterprise: Custom limits